### Class

# Gimp Vectors

#### Description [src]

    final class Gimp.Vectors : Gimp.Item {
      /* No available fields */
    }

Functions for querying and manipulating vectors.

#### Ancestors

- GimpItem
- GObject

#### Constructors

###### gimp_vectors_new

Creates a new empty vectors object.

Available since: 2.4

###### gimp_vectors_new_from_text_layer

Creates a new vectors object from a text layer.

Available since: 2.6

#### Functions

###### gimp_vectors_export_to_file

Save a path as an SVG file.

Available since: 2.6

###### gimp_vectors_export_to_string

Save a path as an SVG string.

Available since: 2.6

###### gimp_vectors_get_by_id

Returns a `GimpVectors` representing `vectors_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is vectors or `NULL` otherwise.

Available since: 3.0

###### gimp_vectors_import_from_file

Import paths from an SVG file.

Available since: 2.4

###### gimp_vectors_import_from_string

Import paths from an SVG string.

Available since: 2.4

#### Instance methods

###### gimp_vectors_bezier_stroke_conicto

Extends a bezier stroke with a conic bezier spline.

Available since: 2.4

###### gimp_vectors_bezier_stroke_cubicto

Extends a bezier stroke with a cubic bezier spline.

Available since: 2.4

###### gimp_vectors_bezier_stroke_lineto

Extends a bezier stroke with a lineto.

Available since: 2.4

###### gimp_vectors_bezier_stroke_new_ellipse

Adds a bezier stroke describing an ellipse the vectors object.

Available since: 2.4

###### gimp_vectors_bezier_stroke_new_moveto

Adds a bezier stroke with a single moveto to the vectors object.

Available since: 2.4

###### gimp_vectors_copy

Copy a vectors object.

Available since: 2.6

###### gimp_vectors_get_strokes

List the strokes associated with the passed path.

Available since: 2.4

###### gimp_vectors_remove_stroke

Remove the stroke from a vectors object.

Available since: 2.4

###### gimp_vectors_stroke_close

Closes the specified stroke.

Available since: 2.4

###### gimp_vectors_stroke_flip

Flips the given stroke.

Available since: 2.4

###### gimp_vectors_stroke_flip_free

Flips the given stroke about an arbitrary axis.

Available since: 2.4

###### gimp_vectors_stroke_get_length

Measure the length of the given stroke.

Available since: 2.4

###### gimp_vectors_stroke_get_point_at_dist

Get point at a specified distance along the stroke.

Available since: 2.4

###### gimp_vectors_stroke_get_points

Returns the control points of a stroke.

Available since: 2.4

###### gimp_vectors_stroke_interpolate

Returns polygonal approximation of the stroke.

Available since: 2.4

###### gimp_vectors_stroke_new_from_points

Adds a stroke of a given type to the vectors object.

Available since: 2.4

###### gimp_vectors_stroke_reverse

Reverses the specified stroke.

Available since: 3.0

###### gimp_vectors_stroke_rotate

Rotates the given stroke.

Available since: 2.4

###### gimp_vectors_stroke_scale

Scales the given stroke.

Available since: 2.4

###### gimp_vectors_stroke_translate

Translate the given stroke.

Available since: 2.4

##### Methods inherited from GimpItem (45)

Please see GimpItem for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpItem (1)

###### Gimp.Item:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpVectorsClass {
      GimpItemClass parent_class;

    }

###### Class members

`parent_class`

    GimpItemClass

| No description available.